using System;
using System.Threading;

namespace ObserverPattern_Parkeringshus
{
	// Indkrsels-trd
	public class Indkrsel
	{
		private P_Hus_Monitor phusMonitor;
        private bool active = true;
        private static int indNr = 0;
        private int nr;

		public Indkrsel(P_Hus_Monitor phusMonitor)
		{
			this.phusMonitor = phusMonitor;
            this.nr = ++indNr;
		}
		public void Run ()
		{
            Random random = new Random((int)DateTime.Now.Ticks*2); ;
            int count = 0;
			while (active)
			{
				phusMonitor.bilKrerInd(nr, ++count);
                Thread.Sleep(random.Next(300, 950));
            }
		}
        public void Stop()
        {
            active = false;
        }
	}
}

